%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# tests disabled until we can bootstrap a newer version of 'tap'

Name:       nodejs-sax
Version:    1.1.4
Release:    1%{?dist}
Summary:    A streaming SAX-style XML parser in JavaScript for Node.js
License:    BSD and W3C
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/sax-js
Source0:    http://registry.npmjs.org/sax/-/sax-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 and Source2 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source2:        examples-%{version}.tar.bz2


BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
This is a SAX-style streaming XML parser in JavaScript for Node.js.

It is:
 - A very simple tool to parse through an XML string.
 - A stepping stone to a streaming HTML parser.
 - A handy way to deal with RSS and other mostly-ok-but-kinda-broken XML docs.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sax
cp -pr package.json lib/ examples/ %{buildroot}%{nodejs_sitelib}/sax

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/index.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md examples/
%license LICENSE LICENSE-W3C.html
%{nodejs_sitelib}/sax


%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.4-1
- Update to upstream 1.1.4 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-1
- update to upstream release 0.6.0

* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.5-1
- update to upstream release 0.5.5

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.4-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.4-1
- update to upstream release 0.5.4

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.2-1
- project relicensed from MIT to BSD
- include newly distributed LICENSE-w3C.html

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.1-2
- fix %%summary and %%description
- add W3C license

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.1-1
- initial package
